Skip to main content
GET
/
ai
/
agents
/
{agent_id}
/
mcp-servers
List agent MCP servers
curl --request GET \
  --url https://api.wacht.dev/ai/agents/{agent_id}/mcp-servers \
  --header 'Authorization: <api-key>'
[
  {
    "id": "<string>",
    "deployment_id": "<string>",
    "name": "<string>",
    "endpoint": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "configuration": {}
  }
]

Authorizations

Authorization
string
header
required

API key authentication (format: Bearer {api_key})

Path Parameters

agent_id
string
required

AI Agent ID

Response

200 - application/json

List of MCP servers

id
string
required
deployment_id
string
required
name
string
required
endpoint
string
required
created_at
string<date-time>
updated_at
string<date-time>
description
string | null
configuration
object